# Class TableColumnMenuComponent

#### Implements

- AfterContentInit

- Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:38

#####
Index

### Constructors

constructor

### Properties

columns?
displayColumns

### Accessors

inline
matCard
visibleColumns

### Methods

activate
deactivate
ngAfterContentInit
updateDisplayColumns

##
Constructors

### constructor

- new TableColumnMenuComponent(): TableColumnMenuComponent

  #### Returns TableColumnMenuComponent

##
Properties

### `Optional` columns

columns?: QueryList<TableColumnOptionComponent>

- Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:45

### displayColumns

displayColumns: string[] = []

- Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:47

##
Accessors

### inline

- get inline(): boolean | ""

  #### Returns boolean | ""

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:52
- set inline(value: boolean | ""): void

  true - the menu is displayed inline and not absolute

  #### Parameters

  - value: boolean | ""

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:61

### matCard

- set matCard(value: boolean | ""): void

  #### Parameters

  - value: boolean | ""

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:66

### visibleColumns

- get visibleColumns(): undefined | TableColumnOptionComponent[]

  #### Returns undefined | TableColumnOptionComponent[]

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:40

##
Methods

### activate

- activate(columnName: string): void

  #### Parameters

  - columnName: string

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:88

### deactivate

- deactivate(columnName: string): void

  #### Parameters

  - columnName: string

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:95

### ngAfterContentInit

- ngAfterContentInit(): void

  A callback method that is invoked immediately after Angular has completed initialization of all of the directive's content. It is invoked only once when the directive is instantiated.

  #### Returns void

  Implementation of AfterContentInit.ngAfterContentInit

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:73

### updateDisplayColumns

- updateDisplayColumns(): void

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-column-menu/table-column-menu.component.ts:77